Page MenuHomePhabricator

Show loading indicator for draft loading
Closed, ResolvedPublic1 Story Points

Description

While resuming the draft, there is no indication that the draft content is being fetched. The translation column is empty and suddenly it get filled with draft content. If there is network delay or error, this can cause the translator to think all their draft is 'lost'

Event Timeline

santhosh created this task.Oct 6 2015, 10:03 AM
santhosh claimed this task.
santhosh raised the priority of this task from to Normal.
santhosh updated the task description. (Show Details)
santhosh added a subscriber: santhosh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 6 2015, 10:03 AM

This is what is being attempted

  • Restoring
  • Success:
  • Failed:
santhosh set Security to None.

Change 243918 had a related patch set uploaded (by Santhosh):
Show progress, success, fail indication of draft restore

https://gerrit.wikimedia.org/r/243918

Refactored the save indicator logic a bit to accommodate this kind
of messages too. While doing that autosave failured are changed
from big yellow error to subtle error message.

As follow up tasks, we need to have a retry logic for save.
Also an eventlogging to measure how many draft restore failures
are happening

santhosh moved this task from Backlog to In review on the LE-CX7-Sprint 1 board.
santhosh added a subscriber: Pginer-WMF.
santhosh edited a custom field.Oct 7 2015, 4:43 AM
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Oct 7 2015, 8:20 AM

Change 243918 merged by jenkins-bot:
Show progress, success, fail indication of draft restore

https://gerrit.wikimedia.org/r/243918

Nikerabbit moved this task from In review to QA on the LE-CX7-Sprint 1 board.Oct 8 2015, 8:15 AM
Amire80 moved this task from QA to Done on the LE-CX7-Sprint 1 board.Oct 21 2015, 6:16 AM
Amire80 closed this task as Resolved.Oct 23 2015, 5:23 PM
Amire80 added a subscriber: Amire80.

Verified.